GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.UnitService Class Reference

## Public Member Functions
CashService | getCash ()
void | setCash (CashService value)
AddOnLiabilityService | getAddonLiability ()
void | setAddonLiability (AddOnLiabilityService value)
HazardousGoodsService | getHazardousGoods ()
void | setHazardousGoods (HazardousGoodsService value)
ExWorksService | getExWorks ()
void | setExWorks (ExWorksService value)
LimitedQuantitiesService | getLimitedQuantities ()
void | setLimitedQuantities (LimitedQuantitiesService value)

## Protected Attributes
CashService | cash
AddOnLiabilityService | addonLiability
HazardousGoodsService | hazardousGoods
ExWorksService | exWorks
LimitedQuantitiesService | limitedQuantities

## Detailed Description

Abstract unit service container covers the available services on unit level

Java class for UnitService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="UnitService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="Cash" type="{http://fpcs.gls-group.eu/v1/Common}CashService"/>
            <element name="AddonLiability" type="{http://fpcs.gls-group.eu/v1/Common}AddOnLiabilityService"/>
            <element name="HazardousGoods" type="{http://fpcs.gls-group.eu/v1/Common}HazardousGoodsService"/>
            <element name="ExWorks" type="{http://fpcs.gls-group.eu/v1/Common}ExWorksService"/>
            <element name="LimitedQuantities" type="{http://fpcs.gls-group.eu/v1/Common}LimitedQuantitiesService"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 46 of file UnitService.java.

## Member Function Documentation

## ◆ getAddonLiability()

AddOnLiabilityService eu.gls_group.fpcs.v1.common.UnitService.getAddonLiability | ( |  | ) |

Gets the value of the addonLiability property.

Returns
  possible object is AddOnLiabilityService

Definition at line 91 of file UnitService.java.

## ◆ getCash()

CashService eu.gls_group.fpcs.v1.common.UnitService.getCash | ( |  | ) |

Gets the value of the cash property.

Returns
  possible object is CashService

Definition at line 67 of file UnitService.java.

## ◆ getExWorks()

ExWorksService eu.gls_group.fpcs.v1.common.UnitService.getExWorks | ( |  | ) |

Gets the value of the exWorks property.

Returns
  possible object is ExWorksService

Definition at line 139 of file UnitService.java.

## ◆ getHazardousGoods()

HazardousGoodsService eu.gls_group.fpcs.v1.common.UnitService.getHazardousGoods | ( |  | ) |

Gets the value of the hazardousGoods property.

Returns
  possible object is HazardousGoodsService

Definition at line 115 of file UnitService.java.

## ◆ getLimitedQuantities()

LimitedQuantitiesService eu.gls_group.fpcs.v1.common.UnitService.getLimitedQuantities | ( |  | ) |

Gets the value of the limitedQuantities property.

Returns
  possible object is LimitedQuantitiesService

Definition at line 163 of file UnitService.java.

## ◆ setAddonLiability()

void eu.gls_group.fpcs.v1.common.UnitService.setAddonLiability | ( | AddOnLiabilityService | value | ) |

Sets the value of the addonLiability property.

Parameters

  value | allowed object is AddOnLiabilityService

Definition at line 103 of file UnitService.java.

## ◆ setCash()

void eu.gls_group.fpcs.v1.common.UnitService.setCash | ( | CashService | value | ) |

Sets the value of the cash property.

Parameters

  value | allowed object is CashService

Definition at line 79 of file UnitService.java.

## ◆ setExWorks()

void eu.gls_group.fpcs.v1.common.UnitService.setExWorks | ( | ExWorksService | value | ) |

Sets the value of the exWorks property.

Parameters

  value | allowed object is ExWorksService

Definition at line 151 of file UnitService.java.

## ◆ setHazardousGoods()

void eu.gls_group.fpcs.v1.common.UnitService.setHazardousGoods | ( | HazardousGoodsService | value | ) |

Sets the value of the hazardousGoods property.

Parameters

  value | allowed object is HazardousGoodsService

Definition at line 127 of file UnitService.java.

## ◆ setLimitedQuantities()

void eu.gls_group.fpcs.v1.common.UnitService.setLimitedQuantities | ( | LimitedQuantitiesService | value | ) |

Sets the value of the limitedQuantities property.

Parameters

  value | allowed object is LimitedQuantitiesService

Definition at line 175 of file UnitService.java.

## Member Data Documentation

## ◆ addonLiability

AddOnLiabilityService eu.gls_group.fpcs.v1.common.UnitService.addonLiability
| protected

Definition at line 51 of file UnitService.java.

## ◆ cash

CashService eu.gls_group.fpcs.v1.common.UnitService.cash
| protected

Definition at line 49 of file UnitService.java.

## ◆ exWorks

ExWorksService eu.gls_group.fpcs.v1.common.UnitService.exWorks
| protected

Definition at line 55 of file UnitService.java.

## ◆ hazardousGoods

HazardousGoodsService eu.gls_group.fpcs.v1.common.UnitService.hazardousGoods
| protected

Definition at line 53 of file UnitService.java.

## ◆ limitedQuantities

LimitedQuantitiesService eu.gls_group.fpcs.v1.common.UnitService.limitedQuantities
| protected

Definition at line 57 of file UnitService.java.

The documentation for this class was generated from the following file:

- UnitService.java